DataCurve Class Reference

`#include <PlotCurve.h>`

Inheritance diagram for DataCurve:

## Classes

struct | DataRange

## Public Member Functions

void | addErrorBars (ErrorBarsCurve *c)
| Adds a single error bars curve to the list of attached error bars. More...
void | clearErrorBars ()
| Clears the list of attached error bars. More...
void | clearLabels ()
| Clears the list of attached text labels. More...
void | clone (DataCurve *c)
| DataCurve (Table *t, const QString &xColName, const QString &name, int startRow=0, int endRow=-1)
| DataCurve (Table *xt, const QString &xColName, Table *yt, const QString &name, int startRow=0, int endRow=-1)
void | enableSpeedMode ()
int | endRow ()
QList< ErrorBarsCurve * > | errorBarsList ()
| The list of attached error bars. More...
bool | hasLabels ()
bool | hasSelectedLabels ()
bool | hasVisibleLabels ()
bool | isFullRange ()
int | labelsAlignment ()
QColor | labelsColor ()
QString | labelsColumnName ()
QFont | labelsFont ()
double | labelsRotation ()
bool | labelsWhiteOut ()
int | labelsXOffset ()
int | labelsYOffset ()
virtual void | loadData ()
void | moveLabels (const QPoint &pos)
virtual QStringList | plotAssociation ()
| A list of data sources for this curve. More...
void | remove ()
void | removeErrorBars (ErrorBarsCurve *c)
| Remove a single error bars curve from the list of attached error bars. More...
void | restoreLabels (const QStringList &lst)
virtual QString | saveToString ()
bool | selectedLabels (const QPoint &pos)
void | setDataSource (Table *yt, int ycol=1, Table *xt=NULL, int xcol=0)
void | setFullRange ()
void | setLabelsAlignment (int flags)
void | setLabelsColor (const QColor &c)
void | setLabelsColumnName (const QString &name)
void | setLabelsFont (const QFont &font)
void | setLabelsOffset (int x, int y)
void | setLabelsRotation (double angle)
void | setLabelsSelected (bool on=true)
void | setLabelsWhiteOut (bool whiteOut=true)
void | setRowRange (int startRow, int endRow)
void | setVisible (bool on)
void | setVisibleLabels (bool on=true)
void | setXColumnName (const QString &name)
int | startRow ()
Table * | table ()
int | tableRow (int point)
| Returns the row index in the data source table corresponding to the data point index. More...
virtual void | updateColumnNames (const QString &oldName, const QString &newName, bool updateTableName)
virtual bool | updateData (Table *t, const QString &colName)
virtual void | updateLabelsPosition ()
QString | xColumnName ()
Table * | xTable ()
Public Member Functions inherited from PlotCurve
void | enableSideLines (bool on)
| PlotCurve (const QString &name=QString())
int | plotStyle ()
| The plot style of the curve. More...
void | restoreCurveLayout (const QStringList &lst)
QString | saveCurveLayout ()
QString | saveCurveSymbolImage ()
void | setPlotStyle (int s)
void | setSkipSymbolsCount (int count)
| Set the number of symbols not to be drawn: usefull for large data sets. More...
void | setType (int t)
void | setXOffset (double dx)
void | setYOffset (double dy)
bool | sideLinesEnabled ()
int | skipSymbolsCount ()
| Returns the number of symbols not to be drawn. More...
int | type ()
| Sort of rtti() More...
double | xOffset ()
double | yOffset ()

## Protected Member Functions

virtual void | drawCurve (QPainter *p, int style, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
virtual void | loadLabels ()
bool | validCurveType ()
Protected Member Functions inherited from PlotCurve
QwtDoubleRect | boundingRect () const
void | drawSideLines (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
void | drawSticks (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
virtual void | drawSymbols (QPainter *p, const QwtSymbol &, const QwtScaleMap &xMap, const QwtScaleMap &yMap, int from, int to) const
| Draw symbols. More...

## Protected Attributes

double | d_click_pos_x
| Keep track of the coordinates of the point where the user clicked when selecting the labels. More...
double | d_click_pos_y
std::vector< DataRange > | d_data_ranges
int | d_end_row
QList< ErrorBarsCurve * > | d_error_bars
| List of the error bar curves associated to this curve. More...
int | d_labels_align
double | d_labels_angle
QColor | d_labels_color
QString | d_labels_column
| The name of the column used for text labels. More...
QFont | d_labels_font
QList< PlotMarker * > | d_labels_list
| List of the text labels associated to this curve. More...
int | d_labels_x_offset
int | d_labels_y_offset
PlotMarker * | d_selected_label
| Keeps track of the plot marker on which the user clicked when selecting the labels. More...
bool | d_show_labels
int | d_start_row
Table * | d_table
| The data source table. More...
bool | d_white_out_labels
QString | d_x_column
| The name of the column used for abscissae values. More...
Table * | d_x_table
| The data source table in case X and Y datasets are from different tables. More...
Protected Attributes inherited from PlotCurve
int | d_plot_style
bool | d_side_lines
int | d_skip_symbols
int | d_type
double | d_x_offset
double | d_y_offset

## Constructor & Destructor Documentation

DataCurve::DataCurve | ( | Table * | t,
|  | const QString & | xColName,
|  | const QString & | name,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References d_end_row, and Table::numRows().

DataCurve::DataCurve | ( | Table * | xt,
|  | const QString & | xColName,
|  | Table * | yt,
|  | const QString & | name,
|  | int | startRow = `0`,
|  | int | endRow = `-1`
| ) |  |

References d_end_row, and Table::numRows().

## Member Function Documentation

void DataCurve::addErrorBars | ( | ErrorBarsCurve * | c | ) |

inline

Adds a single error bars curve to the list of attached error bars.

References d_error_bars.

Referenced by ErrorBarsCurve::setMasterCurve().

void DataCurve::clearErrorBars | ( |  | ) |

Clears the list of attached error bars.

References d_error_bars, and remove().

void DataCurve::clearLabels | ( |  | ) |

Clears the list of attached text labels.

References d_labels_list, d_show_labels, and validCurveType().

Referenced by PlotDialog::acceptParams(), QwtHistogram::loadLabels(), BoxCurve::loadLabels(), and loadLabels().

void DataCurve::clone | ( | DataCurve * | c | ) |

References d_labels_align, d_labels_angle, d_labels_color, d_labels_font, d_labels_x_offset, d_labels_y_offset, d_show_labels, PlotCurve::d_skip_symbols, d_white_out_labels, hasVisibleLabels(), labelsAlignment(), labelsColor(), labelsColumnName(), labelsFont(), labelsRotation(), labelsWhiteOut(), labelsXOffset(), labelsYOffset(), setLabelsColumnName(), PlotCurve::skipSymbolsCount(), and validCurveType().

Referenced by BoxCurve::copy().

void DataCurve::drawCurve | ( | QPainter * | p,
|  | int | style,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | int | from,
|  | int | to
| ) |  | const

protected virtual

Reimplemented from PlotCurve.

References d_data_ranges, PlotCurve::d_side_lines, PlotCurve::drawCurve(), PlotCurve::drawSideLines(), and Graph::isMissingDataGapEnabled().

void DataCurve::enableSpeedMode | ( |  | ) |

References Graph::getDouglasPeukerTolerance(), and Graph::speedModeMaxPoints().

Referenced by Graph::insertCurve(), and loadData().

int DataCurve::endRow | ( |  | ) |

inline

References d_end_row.

Referenced by ErrDialog::add(), Graph::analysableCurvesList(), Graph::copyCurves(), Graph::curveRange(), SubtractLineTool::finalize(), SubtractDataDialog::interpolate(), ErrorBarsCurve::loadData(), Graph::masterCurve(), Graph::saveCurves(), Graph::savePieCurveLayout(), CurveRangeDialog::setCurvesToModify(), ErrorBarsCurve::setMasterCurve(), setRowRange(), CurvesDialog::showCurveRange(), and BaselineDialog::subtractBaseline().

QList<ErrorBarsCurve *> DataCurve::errorBarsList | ( |  | ) |

inline

The list of attached error bars.

References d_error_bars.

Referenced by Fit::setWeightingData().

bool DataCurve::hasLabels | ( |  | ) |

inline

References d_labels_list.

Referenced by Graph::closestCurve().

bool DataCurve::hasSelectedLabels | ( |  | ) |

References d_labels_list, and validCurveType().

Referenced by PlotDialog::insertTabs().

bool DataCurve::hasVisibleLabels | ( |  | ) |

inline

References d_show_labels.

Referenced by clone(), and PlotDialog::setActiveCurve().

bool DataCurve::isFullRange | ( |  | ) |

References d_end_row, d_start_row, d_table, and Table::numRows().

int DataCurve::labelsAlignment | ( |  | ) |

inline

References d_labels_align.

Referenced by clone(), and PlotDialog::setActiveCurve().

QColor DataCurve::labelsColor | ( |  | ) |

inline

References d_labels_color.

Referenced by clone(), and PlotDialog::setActiveCurve().

QString DataCurve::labelsColumnName | ( |  | ) |

inline

References d_labels_column.

Referenced by clone(), and PlotDialog::setActiveCurve().

QFont DataCurve::labelsFont | ( |  | ) |

inline

References d_labels_font.

Referenced by clone().

double DataCurve::labelsRotation | ( |  | ) |

inline

References d_labels_angle.

Referenced by clone(), and PlotDialog::setActiveCurve().

bool DataCurve::labelsWhiteOut | ( |  | ) |

inline

References d_white_out_labels.

Referenced by clone(), and PlotDialog::setActiveCurve().

int DataCurve::labelsXOffset | ( |  | ) |

inline

References d_labels_x_offset.

Referenced by clone(), and PlotDialog::setActiveCurve().

int DataCurve::labelsYOffset | ( |  | ) |

inline

References d_labels_y_offset.

Referenced by clone(), and PlotDialog::setActiveCurve().

void DataCurve::loadData | ( |  | ) |

virtual

Reimplemented in BoxCurve, ErrorBarsCurve, PieCurve, VectorCurve, and QwtHistogram.

References Table::colIndex(), Table::columnFormat(), Table::columnType(), Graph::curveCount(), Graph::curveIndex(), d_data_ranges, d_end_row, d_error_bars, d_labels_list, d_start_row, d_table, PlotCurve::d_type, d_x_column, PlotCurve::d_x_offset, d_x_table, PlotCurve::d_y_offset, Graph::dataCurve(), Table::Date, enableSpeedMode(), DataCurve::DataRange::from, Table::fromDateTime(), Table::fromTime(), Graph::grid(), Graph::HorizontalBars, Graph::isCurveAntialiasingEnabled(), Graph::isWaterfallPlot(), loadLabels(), Graph::setLabelsTextFormat(), ScaleDraw::Text, Table::Text, Table::text(), Table::Time, DataCurve::DataRange::to, Graph::waterfallXOffset(), and Graph::waterfallYOffset().

Referenced by CurvesDialog::addCurveFromTable(), AssociationsDialog::changePlotAssociation(), Graph::insertCurve(), setDataSource(), setFullRange(), setRowRange(), updateData(), and Graph::updateDataCurves().

void DataCurve::loadLabels | ( |  | ) |

protected virtual

Reimplemented in BoxCurve, and QwtHistogram.

References clearLabels(), Table::colIndex(), d_end_row, d_labels_align, d_labels_angle, d_labels_color, d_labels_column, d_labels_font, d_labels_list, d_labels_x_offset, d_labels_y_offset, d_show_labels, d_start_row, d_table, d_white_out_labels, d_x_column, Table::numCols(), Table::text(), and validCurveType().

Referenced by loadData(), and setLabelsColumnName().

void DataCurve::moveLabels | ( | const QPoint & | pos | ) |

References d_click_pos_x, d_click_pos_y, d_labels_list, d_labels_x_offset, d_labels_y_offset, d_selected_label, updateLabelsPosition(), and validCurveType().

QStringList DataCurve::plotAssociation | ( |  | ) |

virtual

A list of data sources for this curve.

Elements must be in either of the following forms:

- <id of X column> "(X)," <id of Y column> "(Y)" [ "," <id of error column> ("(xErr)" | "(yErr)") ]
- <id of Xstart column> "(X)," <id of Ystart column>"(Y)," <id of Xend column> "(X)," <id of Yend column> "(Y)"
  (denoting start and end coordinates for the #VectXYXY style)
- <id of Xstart column> "(X)," <id of Ystart column> "(Y)," <id of angle column> "(A)," <id of magnitude column> "(M)"
  (denoting start coordinates, angle in radians and length for the #VectXYAM style)

Column ids are of the form '<name of table> "_" <name of column>'.

Reimplemented in ErrorBarsCurve, and VectorCurve.

References d_labels_column, and d_x_column.

Referenced by AssociationsDialog::changePlotAssociation(), Graph::masterCurve(), and Graph::updateCurveNames().

void DataCurve::remove | ( |  | ) |

References Graph::removeCurve().

Referenced by AssociationsDialog::changePlotAssociation(), and clearErrorBars().

void DataCurve::removeErrorBars | ( | ErrorBarsCurve * | c | ) |

Remove a single error bars curve from the list of attached error bars.

References d_error_bars.

Referenced by ErrorBarsCurve::detachFromMasterCurve().

void DataCurve::restoreLabels | ( | const QStringList & | lst | ) |

References setLabelsAlignment(), setLabelsColor(), setLabelsColumnName(), setLabelsFont(), setLabelsOffset(), setLabelsRotation(), and setLabelsWhiteOut().

Referenced by Graph::restoreCurveLabels().

QString DataCurve::saveToString | ( |  | ) |

virtual

Reimplemented in QwtBarCurve.

References Graph::Box, d_labels_align, d_labels_angle, d_labels_color, d_labels_column, d_labels_font, d_labels_list, d_labels_x_offset, d_labels_y_offset, PlotCurve::d_skip_symbols, d_white_out_labels, Graph::Function, PlotCurve::saveCurveSymbolImage(), PlotCurve::type(), and validCurveType().

Referenced by Graph::saveCurves(), and QwtBarCurve::saveToString().

bool DataCurve::selectedLabels | ( | const QPoint & | pos | ) |

References d_click_pos_x, d_click_pos_y, d_labels_angle, d_labels_list, d_selected_label, setLabelsSelected(), and validCurveType().

Referenced by Graph::closestCurve().

void DataCurve::setDataSource | ( | Table * | yt,
|  | int | ycol = `1`,
|  | Table * | xt = `NULL`,
|  | int | xcol = `0`
| ) |  |

References Table::colName(), d_table, d_x_column, d_x_table, and loadData().

void DataCurve::setFullRange | ( |  | ) |

References d_end_row, d_error_bars, d_start_row, d_table, ErrorBarsCurve::loadData(), loadData(), and Table::numRows().

Referenced by DrawPointTool::appendPoint(), and Graph::setCurveFullRange().

void DataCurve::setLabelsAlignment | ( | int | flags | ) |

References d_labels_align, updateLabelsPosition(), and validCurveType().

Referenced by PlotDialog::applyLabelsFormatToItem(), and restoreLabels().

void DataCurve::setLabelsColor | ( | const QColor & | c | ) |

References d_labels_color, d_labels_list, and validCurveType().

Referenced by PlotDialog::applyLabelsFormatToItem(), and restoreLabels().

void DataCurve::setLabelsColumnName | ( | const QString & | name | ) |

References d_labels_column, d_labels_list, loadLabels(), and validCurveType().

Referenced by PlotDialog::acceptParams(), Graph::addCurves(), clone(), and restoreLabels().

void DataCurve::setLabelsFont | ( | const QFont & | font | ) |

References d_labels_font, d_labels_list, updateLabelsPosition(), and validCurveType().

Referenced by restoreLabels().

void DataCurve::setLabelsOffset | ( | int | x,
|  | int | y
| ) |  |

References d_labels_x_offset, d_labels_y_offset, updateLabelsPosition(), and validCurveType().

Referenced by PlotDialog::applyLabelsFormatToItem(), and restoreLabels().

void DataCurve::setLabelsRotation | ( | double | angle | ) |

References d_labels_angle, d_labels_list, PlotMarker::setAngle(), and validCurveType().

Referenced by PlotDialog::applyLabelsFormatToItem(), and restoreLabels().

void DataCurve::setLabelsSelected | ( | bool | on = `true` | ) |

References d_labels_color, d_labels_font, d_labels_list, Graph::deselectMarker(), Graph::notifyColorChange(), Graph::notifyFontChange(), Graph::selectTitle(), and validCurveType().

Referenced by PlotDialog::insertTabs(), and selectedLabels().

void DataCurve::setLabelsWhiteOut | ( | bool | whiteOut = `true` | ) |

References d_labels_list, d_white_out_labels, and validCurveType().

Referenced by PlotDialog::applyLabelsFormatToItem(), and restoreLabels().

void DataCurve::setRowRange | ( | int | startRow,
|  | int | endRow
| ) |  |

References d_end_row, d_error_bars, d_start_row, endRow(), ErrorBarsCurve::loadData(), loadData(), and startRow().

Referenced by CurveRangeDialog::accept().

void DataCurve::setVisible | ( | bool | on | ) |

References d_error_bars, d_labels_list, and setVisible().

Referenced by Graph::plotPie(), Graph::restoreHistogram(), and setVisible().

void DataCurve::setVisibleLabels | ( | bool | on = `true` | ) |

inline

References d_show_labels.

void DataCurve::setXColumnName | ( | const QString & | name | ) |

inline

References d_x_column.

Referenced by AssociationsDialog::changePlotAssociation().

int DataCurve::startRow | ( |  | ) |

inline

References d_start_row.

Referenced by ErrDialog::add(), Graph::analysableCurvesList(), Graph::copyCurves(), Graph::curveRange(), SubtractLineTool::finalize(), SubtractDataDialog::interpolate(), ErrorBarsCurve::loadData(), Graph::masterCurve(), Graph::saveCurves(), Graph::savePieCurveLayout(), CurveRangeDialog::setCurvesToModify(), ErrorBarsCurve::setMasterCurve(), setRowRange(), CurvesDialog::showCurveRange(), and BaselineDialog::subtractBaseline().

Table* DataCurve::table | ( |  | ) |

inline

References d_table.

Referenced by PlotDialog::acceptParams(), Graph::copyCurves(), RangeSelectorTool::emitStatusText(), SubtractLineTool::finalize(), SubtractDataDialog::interpolate(), ErrorBarsCurve::loadData(), Graph::parseAxisTitle(), TranslateCurveTool::selectCurvePoint(), DataPickerTool::selectTableRow(), PlotDialog::setActiveCurve(), CurveRangeDialog::setCurvesToModify(), DataPickerTool::setSelection(), and BaselineDialog::subtractBaseline().

int DataCurve::tableRow | ( | int | point | ) |

Returns the row index in the data source table corresponding to the data point index.

References Table::cell(), Table::colIndex(), Table::columnFormat(), Table::columnType(), d_end_row, d_start_row, d_table, PlotCurve::d_type, d_x_column, Table::Date, Graph::HorizontalBars, Graph::Pie, Table::Text, Table::text(), and Table::Time.

Referenced by RangeSelectorTool::emitStatusText(), TranslateCurveTool::selectDestination(), DataPickerTool::selectTableRow(), and DataPickerTool::setSelection().

void DataCurve::updateColumnNames | ( | const QString & | oldName,
|  | const QString & | newName,
|  | bool | updateTableName
| ) |  |

virtual

Reimplemented in VectorCurve.

References d_x_column.

Referenced by Graph::updateCurveNames().

bool DataCurve::updateData | ( | Table * | t,
|  | const QString & | colName
| ) |  |

virtual

Reimplemented in ErrorBarsCurve, and VectorCurve.

References d_labels_column, d_table, d_x_column, and loadData().

void DataCurve::updateLabelsPosition | ( |  | ) |

virtual

Reimplemented in BoxCurve.

References d_labels_align, d_labels_list, d_labels_x_offset, d_labels_y_offset, PlotMarker::index(), and validCurveType().

Referenced by moveLabels(), setLabelsAlignment(), setLabelsFont(), and setLabelsOffset().

bool DataCurve::validCurveType | ( |  | ) |

protected

References Graph::ColorMap, Graph::Contour, Graph::Function, Graph::GrayScale, Graph::ImagePlot, Graph::Pie, and PlotCurve::type().

Referenced by clearLabels(), clone(), hasSelectedLabels(), loadLabels(), moveLabels(), saveToString(), selectedLabels(), setLabelsAlignment(), setLabelsColor(), setLabelsColumnName(), setLabelsFont(), setLabelsOffset(), setLabelsRotation(), setLabelsSelected(), setLabelsWhiteOut(), and updateLabelsPosition().

QString DataCurve::xColumnName | ( |  | ) |

inline

References d_x_column.

Referenced by ErrDialog::add(), Graph::copyCurves(), RangeSelectorTool::emitStatusText(), SubtractDataDialog::interpolate(), ErrorBarsCurve::loadData(), Graph::parseAxisTitle(), ErrorBarsCurve::plotAssociation(), Graph::saveCurves(), TranslateCurveTool::selectCurvePoint(), TranslateCurveTool::selectDestination(), DataPickerTool::setSelection(), and BaselineDialog::subtractBaseline().

Table* DataCurve::xTable | ( |  | ) |

inline

References d_x_table.

Referenced by Graph::copyCurves(), RangeSelectorTool::emitStatusText(), and DataPickerTool::setSelection().

## Member Data Documentation

double DataCurve::d_click_pos_x

protected

Keep track of the coordinates of the point where the user clicked when selecting the labels.

Referenced by moveLabels(), and selectedLabels().

double DataCurve::d_click_pos_y

protected

Referenced by moveLabels(), and selectedLabels().

std::vector<DataRange> DataCurve::d_data_ranges

protected

Referenced by drawCurve(), and loadData().

int DataCurve::d_end_row

protected

Referenced by DataCurve(), endRow(), PieCurve::initLabels(), isFullRange(), QwtHistogram::loadData(), VectorCurve::loadData(), ErrorBarsCurve::loadData(), PieCurve::loadData(), BoxCurve::loadData(), loadData(), loadLabels(), setFullRange(), ErrorBarsCurve::setMasterCurve(), setRowRange(), and tableRow().

QList<ErrorBarsCurve *> DataCurve::d_error_bars

protected

List of the error bar curves associated to this curve.

Referenced by addErrorBars(), clearErrorBars(), errorBarsList(), VectorCurve::loadData(), loadData(), removeErrorBars(), setFullRange(), setRowRange(), and setVisible().

int DataCurve::d_labels_align

protected

Referenced by clone(), BoxCurve::createLabel(), labelsAlignment(), QwtHistogram::loadLabels(), loadLabels(), saveToString(), setLabelsAlignment(), BoxCurve::updateLabels(), and updateLabelsPosition().

double DataCurve::d_labels_angle

protected

Referenced by clone(), BoxCurve::createLabel(), labelsRotation(), QwtHistogram::loadLabels(), loadLabels(), saveToString(), selectedLabels(), and setLabelsRotation().

QColor DataCurve::d_labels_color

protected

Referenced by clone(), BoxCurve::createLabel(), labelsColor(), QwtHistogram::loadLabels(), loadLabels(), saveToString(), setLabelsColor(), and setLabelsSelected().

QString DataCurve::d_labels_column

protected

The name of the column used for text labels.

Referenced by labelsColumnName(), loadLabels(), VectorCurve::plotAssociation(), plotAssociation(), saveToString(), setLabelsColumnName(), and updateData().

QFont DataCurve::d_labels_font

protected

Referenced by clone(), BoxCurve::createLabel(), labelsFont(), QwtHistogram::loadLabels(), loadLabels(), saveToString(), setLabelsFont(), and setLabelsSelected().

QList<PlotMarker *> DataCurve::d_labels_list

protected

List of the text labels associated to this curve.

Referenced by clearLabels(), BoxCurve::createLabel(), hasLabels(), hasSelectedLabels(), loadData(), QwtHistogram::loadLabels(), loadLabels(), moveLabels(), saveToString(), selectedLabels(), setLabelsColor(), setLabelsColumnName(), setLabelsFont(), setLabelsRotation(), setLabelsSelected(), setLabelsWhiteOut(), setVisible(), BoxCurve::updateLabels(), and updateLabelsPosition().

int DataCurve::d_labels_x_offset

protected

Referenced by BoxCurve::BoxCurve(), clone(), BoxCurve::createLabel(), labelsXOffset(), QwtHistogram::loadLabels(), loadLabels(), moveLabels(), saveToString(), setLabelsOffset(), BoxCurve::updateLabels(), and updateLabelsPosition().

int DataCurve::d_labels_y_offset

protected

Referenced by BoxCurve::BoxCurve(), clone(), BoxCurve::createLabel(), labelsYOffset(), QwtHistogram::loadLabels(), loadLabels(), moveLabels(), saveToString(), setLabelsOffset(), BoxCurve::updateLabels(), and updateLabelsPosition().

PlotMarker* DataCurve::d_selected_label

protected

Keeps track of the plot marker on which the user clicked when selecting the labels.

Referenced by moveLabels(), and selectedLabels().

bool DataCurve::d_show_labels

protected

Referenced by clearLabels(), clone(), hasVisibleLabels(), QwtHistogram::loadData(), BoxCurve::loadData(), QwtHistogram::loadDataFromMatrix(), QwtHistogram::loadLabels(), BoxCurve::loadLabels(), loadLabels(), setVisibleLabels(), BoxCurve::showBoxLabels(), BoxCurve::showWhiskerLabels(), and BoxCurve::updateLabels().

int DataCurve::d_start_row

protected

Referenced by PieCurve::initLabels(), isFullRange(), QwtHistogram::loadData(), VectorCurve::loadData(), ErrorBarsCurve::loadData(), PieCurve::loadData(), BoxCurve::loadData(), loadData(), loadLabels(), setFullRange(), ErrorBarsCurve::setMasterCurve(), setRowRange(), startRow(), and tableRow().

Table* DataCurve::d_table

protected

The data source table.

Referenced by PieCurve::initLabels(), isFullRange(), QwtHistogram::loadData(), VectorCurve::loadData(), ErrorBarsCurve::loadData(), PieCurve::loadData(), BoxCurve::loadData(), loadData(), loadLabels(), setDataSource(), setFullRange(), table(), tableRow(), VectorCurve::updateData(), ErrorBarsCurve::updateData(), and updateData().

bool DataCurve::d_white_out_labels

protected

Referenced by clone(), BoxCurve::createLabel(), labelsWhiteOut(), QwtHistogram::loadLabels(), loadLabels(), saveToString(), and setLabelsWhiteOut().

QString DataCurve::d_x_column

protected

The name of the column used for abscissae values.

Referenced by VectorCurve::loadData(), loadData(), loadLabels(), VectorCurve::plotAssociation(), plotAssociation(), setDataSource(), setXColumnName(), tableRow(), VectorCurve::updateColumnNames(), updateColumnNames(), VectorCurve::updateData(), updateData(), and xColumnName().

Table* DataCurve::d_x_table

protected

The data source table in case X and Y datasets are from different tables.

Referenced by loadData(), setDataSource(), and xTable().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/PlotCurve.h
- qtiplot/src/plot2D/PlotCurve.cpp